ffprobekit.c File Reference

Go to the source code of this file.

## Functions

int | ffprobe_execute (int argc, char **argv)
void | addSession (long id)
void | removeSession (long id)
void | resetMessagesInTransmit (long id)
JNIEXPORT jint JNICALL | Java_com_arthenica_ffmpegkit_FFmpegKitConfig_nativeFFprobeExecute (JNIEnv *env, jclass object, jlong id, jobjectArray stringArray)

## Variables

int | configuredLogLevel
__thread volatile long | sessionId

## Function Documentation

## addSession()

void addSession | ( | long | id | ) |

Adds a session id to the session map.

Parameters

  id | session id

Definition at line 357 of file ffmpegkit.c.

## ffprobe_execute()

int ffprobe_execute | ( | int | argc,
|  | char ** | argv
| ) |  |

Forward declaration for function defined in fftools_ffprobe.c

Definition at line 3713 of file fftools_ffprobe.c.

## Java_com_arthenica_ffmpegkit_FFmpegKitConfig_nativeFFprobeExecute()

JNIEXPORT jint JNICALL Java_com_arthenica_ffmpegkit_FFmpegKitConfig_nativeFFprobeExecute | ( | JNIEnv * | env,
|  | jclass | object,
|  | jlong | id,
|  | jobjectArray | stringArray
| ) |  |

Synchronously executes FFprobe natively with arguments provided.

Parameters

  env | pointer to native method interface
  object | reference to the class on which this method is invoked
  id | session id
  stringArray | reference to the object holding FFprobe command arguments

Returns
  zero on successful execution, non-zero on error

Definition at line 47 of file ffprobekit.c.

## removeSession()

void removeSession | ( | long | id | ) |

Removes a session id from the session map.

Parameters

  id | session id

Definition at line 398 of file ffmpegkit.c.

## resetMessagesInTransmit()

void resetMessagesInTransmit | ( | long | id | ) |

Resets the number of messages in transmit for this session.

Parameters

  id | session id

Definition at line 430 of file ffmpegkit.c.

## Variable Documentation

## configuredLogLevel

int configuredLogLevel

extern

Holds the default log level

Definition at line 108 of file ffmpegkit.c.

## sessionId

__thread volatile long sessionId

extern

Holds the id of the current session

Definition at line 105 of file ffmpegkit.c.